Name:      ocaml-duppy
Version:   0.5.1
Release:   %mkrel 6
Summary:   An advanced scheduler for OCaml programmers
License:   LGPLv2
Group:     Development/OCaml
Url:       http://savonet.sourceforge.net/
Source0:   http://downloads.sourceforge.net/savonet/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-pcre-devel
Requires:  ocaml-pcre

%description
Duppy is an event scheduler written for OCaml. It allows the user to
execute tasks according to some events on Unix sockets, or a given delay.
Several threaded queues can proceed tasks in parallel. Tasks are processed
according to an abstract notion of priority.  

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-pcre-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep 
%setup -q

%build
./configure --libdir=%{_libdir}
%make all

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install


%files
%doc CHANGES COPYING README
%{_libdir}/ocaml/duppy
%{_libdir}/ocaml/duppy/*.cma
%{_libdir}/ocaml/duppy/*.cmi
%{_libdir}/ocaml/duppy/pa_duppy.cmo
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%{_libdir}/ocaml/duppy/*.a
%{_libdir}/ocaml/duppy/*.cmx
%{_libdir}/ocaml/duppy/*.cmxa
%{_libdir}/ocaml/duppy/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 0.5.1-6.mga6
+ Revision: 1056329
- Rebuild for fix in ocaml

* Wed Feb 17 2016 umeabot <umeabot> 0.5.1-5.mga6
+ Revision: 963843
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-4.mga5
+ Revision: 741320
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-3.mga5
+ Revision: 683021
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.1-2.mga4
+ Revision: 528189
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 malo <malo> 0.5.1-1.mga4
+ Revision: 443702
- update to 0.5.1

* Sat Jan 12 2013 umeabot <umeabot> 0.4.2-5.mga3
+ Revision: 361289
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.4.2-4.mga3
+ Revision: 301655
- new rpm group for ocaml
- new rpm group for ocaml

* Mon Apr 09 2012 malo <malo> 0.4.2-2.mga2
+ Revision: 229864
- add missing requires to ocaml-pcre

* Sat Dec 03 2011 malo <malo> 0.4.2-1.mga2
+ Revision: 175730
- simplifying build section
- imported package ocaml-duppy

